import { NextResponse } from "next/server";

export async function POST() {
  async function retrieveAvailableApplication(): Promise<string[]> {
    return new Promise((resolve) => {
      const mockList = [
        "/definitions/identifications/people",
        "/definitions/identifications/users",
        "/definitions/building/parts",
        "/definitions/building/areas",
        "/building/accounts/managment/accounts",
        "/building/accounts/managment/budgets",
        "/building/accounts/parts/accounts",
        "/building/accounts/parts/budgets",
        "/building/meetings/regular/actions",
        "/building/meetings/regular/accounts",
        "/building/meetings/ergunt/actions",
        "/building/meetings/ergunt/accounts",
        "/building/meetings/invited/attendance",
        "/main/pages/user/dashboard",
      ];
      resolve(mockList);
    });
  }

  const availableApplications = await retrieveAvailableApplication();
  return NextResponse.json({
    status: 200,
    data: availableApplications,
  });
}
